<?php get_header(); ?>
<div id="content">
	<?php
		if(isset($_GET['author_name'])) :
			$biotodoma_curauth = get_userdatabylogin($biotodoma_author_name);
	    else :
			$biotodoma_curauth = get_userdata(intval($author));
		endif;
	?>
    
   
	<div class="author overflowhidden">	
     <h1>About: <?php echo $biotodoma_curauth->display_name; ?></h1>	
		<div class="gravatar">
			<?php if(function_exists('get_avatar')) { echo get_avatar( $biotodoma_curauth->user_email, $size = '80' ); } /* Displays the Gravatar based on the author's email address. Visit Gravatar.com for info on Gravatars */ ?>
		</div><!--.gravatar-->
		<div id="authorDescription">
		<?php if($biotodoma_curauth->description !="") { /* Displays the author's description from their WordPress profile */ ?>
			<p><?php echo $biotodoma_curauth->description; ?></a></p>
		<?php } ?>
        </div><!--#author-description -->
	</div><!--.author-->

	<div id="recent-author-posts">
		<h3>Recent Posts by <?php echo $biotodoma_curauth->display_name; ?>:</h3>
		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); /* Displays the most recent posts by that author. Note that this does not display custom content types */ ?>
			<?php static $biotodoma_count = 0;
				if ($biotodoma_count == "5") // Number of posts to display
	            	{ break; }
				else { ?>
					<h4><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h4>
					
					
                    <div class="post-writer">
					<p><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark">Written on <?php the_time('F j, Y'); ?> at <?php the_time() ?></a>, by <?php the_author_posts_link() ?>
					</p>
</div> 
                    
                    
                    <div class="post-content">
                    
                     <?php if ( has_post_thumbnail() ) { /* loades the post's featured thumbnail, requires WordPress 3.0+ */ echo '<div class="featured-thumbnail">'; the_post_thumbnail(); echo '</div>'; } ?>
				    
				<?php the_excerpt(); /* the excerpt is loaded to help avoid duplicate content issues */ ?>
			</div><!--.post-excerpt-->
            
           <div class="post-meta">
				           
                <span class="category-icon"><?php the_category(', ') ?></span>
                <?php if( get_the_tag_list() ):?> <span class="tags-icon"><?php the_tags('', ', ', ' ');?></span><?php endif;?>
                <span class="commented-icon"><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></span>
					
				</div><!--.postMeta-->
			<?php $biotodoma_count++; } ?>
		<?php endwhile; else: ?>
				<p>
					No posts by <?php echo $biotodoma_curauth->display_name; ?> yet.
				</p>
		<?php endif; ?>
        
        
	</div><!--#recentPosts-->

</div><!--#content-->
<?php get_sidebar(); ?>
<?php get_footer(); ?>